parallel/base.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >
class | __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >
class | __gnu_parallel::__unary_negate< _Predicate, argument_type >
class | __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >
struct | __gnu_parallel::_EqualTo< _T1, _T2 >
struct | __gnu_parallel::_Less< _T1, _T2 >
struct | __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >
struct | __gnu_parallel::_Plus< _Tp1, _Tp2, _Result >
class | __gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp >
class | __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >

## Namespaces

namespace | __gnu_parallel
namespace | __gnu_sequential
namespace | std
namespace | std::__parallel

## Macros

#define | _GLIBCXX_PARALLEL_ASSERT(_Condition)

## Functions

void | __gnu_parallel::__decode2 (_CASable __x, int &__a, int &__b)
_CASable | __gnu_parallel::__encode2 (int __a, int __b)
_ThreadIndex | __gnu_parallel::__get_max_threads ()
bool | __gnu_parallel::__is_parallel (const _Parallelism __p)
template<typename _RAIter , typename _Compare >
_RAIter | __gnu_parallel::__median_of_three_iterators (_RAIter __a, _RAIter __b, _RAIter __c, _Compare __comp)
template<typename _Size >
_Size | __gnu_parallel::__rd_log2 (_Size __n)
template<typename _Tp >
const _Tp & | __gnu_parallel::max (const _Tp &__a, const _Tp &__b)
template<typename _Tp >
const _Tp & | __gnu_parallel::min (const _Tp &__a, const _Tp &__b)

## Detailed Description

Sequential helper functions. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file parallel/base.h.